CC=cc
CFLAGS=-Wall -g -DDEBUG
LDFLAGS=

HEADERS_S=wrappers.h tcpserver.h
SOURCES_S=wrappers.c tcpserver.c
OBJECTS_S=${SOURCES_S:.c=.o}
TARGET_S=tcpserver

HEADERS_C=wrappers.h tcpklijent.h
SOURCES_C=wrappers.c tcpklijent.c
OBJECTS_C=${SOURCES_C:.c=.o}
TARGET_C=tcpklijent

default: all

all: $(TARGET_S) $(TARGET_C)

tcpserver: $(OBJECTS_S)
	$(CC) $(LDFLAGS) $(OBJECTS_S) -o $(TARGET_S)

tcpklijent: $(OBJECTS_C)
	$(CC) $(LDFLAGS) $(OBJECTS_C) -o $(TARGET_C)

clean:
	-rm -f *.o $(TARGET_S) $(TARGET_C)

%.o: %.c $(HEADERS_S) $(HEADERS_C)
	$(CC) $(CFLAGS) -c $< -o $@
